﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@using Toyota.Common.Web.Html.Helper;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script type="text/javascript">
    var is_Bypass = false;
    var retProgress = 0;

    //GridPurchaseRequest.GetSelectedKeysOnPage();
    //GridPurchaseRequest.GetRowKey(e.visibleIndex).toString().split('|');

    //setInterval(function(){alert("Hello")},6000);

    $(document).ready(function () { 
        
        $('#info').hide(); $('#infRetrieve').hide(); 
    });


     function gridDeliveryPurchaseRequest_Init(s, e) {
        enabledButton();
    }

    function MessageBox(s, e, headerText,width) {
        if (e != '') {
            msgboxicon.src = '/Content/Images/' + e;
        } else {

            //msgboxicon.src = '/Content/Images/info_icon.png';
            msgboxicon.src = '';
        }
        msgboxcaption.SetText(s);
        msgbox.SetWidth(width);
        msgbox.SetHeaderText(headerText);
        msgbox.Show();
    }


    function convertDate (param){
        var param;

        if (param == null){
            yearmonthval = "";

        }else{

            var PRMonthVal = param.toLocaleString();
            //var d = new Date(PRMonth.GetValue());
            var d = new Date(PRMonthVal);
            var curr_month = d.getMonth() + 1 ;
            var curr_year = d.getFullYear();
            var n = String(curr_month).length;

            if (n==1){
                curr_month = '0'+curr_month;
            }else{
                curr_month= curr_month;
            }

            var yearmonthval = curr_year+''+curr_month;
        }

        return yearmonthval;
    }


    function convertDate2 (param){
        var param;
        if (param == null){
            dateVal = null;
        }else{
            var d = new Date(param);
            var curr_date = d.getDate();
            var curr_month = d.getMonth() + 1 ;
            var curr_year = d.getFullYear();
            var n = String(curr_month).length;

                if (n==1){
                    curr_month = '0'+curr_month;
                }else{
                    curr_month= curr_month;
                }
            var dateVal = curr_year+'/'+curr_month+'/'+curr_date;
        }
        return dateVal;
    }


    function SearchData() {
        var result = false;

        if(PRMonth.GetText()=='')
        {            
            MessageBox('Please select production month!','warning_icon.png','Warning',280);
            disabledButton();
        }
        else
        {
            GridPurchaseRequest.ClearFilter();
        }
    }

   

    function AddDeliveryPurchaseRequest(s, e) {
        popupnew.SetHeaderText('Purchase requisition info add');
        popupnew.Show();
        PRMonthP.SetEnabled(true);

        disabledButton();
    }

    
        
    function btnSave_click(s, e) {
        
        if (validating_insert())
        {
            if (QtyP.GetText() == 0)
            {
                MessageBox('PR Quantity must greater than <b>0</b>','warning_icon.png','Warning',280);
                disabledButton();
            }else
            {
                //Month = ConvertedRouteP.GetText()
                //---=== Ajax store
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/D31102/AddingDeliveryPurchaseRequest")",
                    data: {
                            PR_PO_MONTH : convertDate(PRMonthP.GetValue()),
                            //PR_PO_MONTH : PRMonthP.GetText(),
                            ROUTE_CD : OriRouteP.GetText(),
                            LP_CD : LP_OptionP.GetText(),
                            SOURCE : Sourcep.GetText(),                  
                            PR_QTY : QtyP.GetText()
                        },
                        success: function (result) {
                            var resValue = result.split('|');
                            if (resValue[0] == 'Error')
                            {
                                ClearForm();
                                GridPurchaseRequest.ClearFilter();
                                if (resValue[1] =='Data already exists!')
                                { w = 220 } else {w=300 }
                                MessageBox(resValue[1],'error_icon.png','Error',w);
                                disabledButton();
                                clearSelection();
                            }
                            else
                            {
                                ClearForm();
                                GridPurchaseRequest.ClearFilter();
                            
                                MessageBox(resValue[1],'info_icon.png','Information',280);
                                disabledButton();
                                clearSelection();
                            }
                        },
                        error: function (result) {
                            var resValue = result.split('|');
                            GridPurchaseRequest.ClearFilter();
                            ClearForm();
                            MessageBox(resValue[1],'error_icon.png','Error',300);
                            disabledButton();
                            clearSelection();
                        
                        }
                    });
                    //---=== End ajax store
                    enabledButton();
            }
        } 
        else 
        {
            MessageBox('Please, fill all fields!','warning_icon.png','Warning',215);
            disabledButton();
        }
    }

    function btnUpdate_click(s, e) {
        
        if (QtyPe.GetText() == ''){
            MessageBox('Please, fill all fields!','warning_icon.png','Warning',215);
            disabledButton();

        }else if (QtyPe.GetText() == 0){
            MessageBox('PR Quantity must greater than <b>0</b>','warning_icon.png','Warning',280);
            disabledButton();
        }
        else{

        
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/D31102/UpdateDeliveryPurchaseRequest")",
                data: {
                    
                        PR_PO_MONTH : PRMonthPe.GetText(),
                        ROUTE_CD : OriRoutePe.GetText(),   
                        LP_CD : LP_OptionPe.GetText(),                    
                        PR_QTY : QtyPe.GetText(),
                        SOURCE : Source_e.GetText()
                    },
                    success: function (result) {
                        var resValue = result.split('|');
                        if (resValue[0] == 'Error')
                        {
                            MessageBox(resValue[1],'error_icon.png','Error',300);
                        
                            ClearForm();
                            GridPurchaseRequest.ClearFilter();
                            popupedit.Hide();
                            disabledButton();
                            clearSelection();
                            GridPurchaseRequest.UnselectAllRowsOnPage();
                        }
                        else
                        {
                            MessageBox(resValue[1],'info_icon.png','Information',270);
                            ClearForm();
                            GridPurchaseRequest.ClearFilter();
                            GridPurchaseRequest.UnselectAllRowsOnPage();
                            popupedit.Hide();
                            disabledButton();
                            clearSelection();
                        }
                    },
                    error: function (result) {
                        var resValue = result.split('|');
                        MessageBox(resValue[1],'error_icon.png','Error',300);
                    
                        ClearForm();
                        popupedit.Hide();
                        GridPurchaseRequest.UnselectAllRowsOnPage();
                        disabledButton();
                        clearSelection();
                        
                    }
                });
                enabledButton();
                OrderSelectionLabel.SetValue("");
        }
    }

    function btnDelete_Click(s, e) {
        //var res;
        var selectedCount = GridPurchaseRequest.GetSelectedRowCount();
        
        if (selectedCount==0) {
            
            MessageBox('Please, select one more data to delete!','warning_icon.png','Warning',330);
            disabledButton();
        }
        else {
                
               var status = GridPurchaseRequest.cpSTATUS[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))];
           

               
               if (status =='PR Retrieved'){
                    popupConfirmation.Show();
                    disabledButton();
               }else
               {
                    MessageBox('Please select records with PR Status : Retrieved!','warning_icon.png','Warning',370);
                    disabledButton();
               }
        }   
    }

    function deleteData(){
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/DeleteDeliveryPurchaseRequest")",
            data: {
                GridId : OrderSelectionLabel.GetValue().substring(0, (OrderSelectionLabel.GetValue().length-1)),
                //GridSelection : OrderPartSelectionAllLabel.GetValue()
                
                        
            },
            success: function (result) {
                var resValue = result.split('|');
                if (resValue[0] == 'Success'){
                    MessageBox(resValue[1],'info_icon.png','Information',240);
                    disabledButton();
                    OrderSelectionLabel.SetValue('');
                    GridPurchaseRequest.UnselectRows();
                }else
                {
                    MessageBox(resValue[1],'error_icon.png','Error',300);
                    disabledButton();
                }
            },
            error: function (result) {
                MessageBox(resValue[1],'error_icon.png','Error',300);
                disabledButton();
            }
        });
        OrderSelectionLabel.SetValue("");
    }

    function btnEdit_Click(s, e) {
        var GridId = OrderSelectionLabel.GetValue();
        var selectedCount = GridPurchaseRequest.GetSelectedRowCount();


        if (selectedCount==0) {
            MessageBox('No data selected!','warning_icon.png','Warning',210);
            disabledButton();
            
            //OrderSelectionLabel.SetValue("");
            //GridPurchaseRequest.ClearFilter();

        } else {
            //var GridId = OrderSelectionLabel.GetValue();
           
            //existingList = GridId.split(';');
            //var len = existingList.length-1;
           
            if (selectedCount > 1){
                //PREditButton.SetEnabled(false);

                MessageBox('Please select only one records!','warning_icon.png','Warning',280);
                disabledButton();

            }else{
                var status = GridPurchaseRequest.cpSTATUS[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))];

                if (status=='PR Retrieved') {
                    popupedit.SetHeaderText('Purchase requisition info edit');
                    popupedit.Show();

                    disabledButton();

                    PRMonthPe.SetVisible(true);
                    PRMonthPe.SetEnabled(false);
                    OriRoutePe.SetEnabled(false);
                    LP_OptionPe.SetEnabled(false);

                    PRMonthPe.SetText(GridPurchaseRequest.cpPROD_MONTH[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))]);            
                    OriRoutePe.SetValue(GridPurchaseRequest.cpROUTE_CD[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))]);
                    LP_OptionPe.SetValue(GridPurchaseRequest.cpLP_CD[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))]);
                    Source_e.SetValue(GridPurchaseRequest.cpSOURCE[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))]);
                    QtyPe.SetText(GridPurchaseRequest.cpPR_QTY[(GridPurchaseRequest.lastMultiSelectIndex - (GridPurchaseRequest.pageIndex * GridPurchaseRequest.pageRowSize))]);
                }
                else
                {
                    MessageBox('Please select records with PR Status : Retrieved!','warning_icon.png','Warning',370);
                    disabledButton();
                }
            }

            
        }
        
    }

    function validating_insert() {
        var result = true;

        if (PRMonthP.GetText() == '')
            result = false;
        if (OriRouteP.GetText() == '')
            result = false;
        if (LP_OptionP.GetText() == '')
            result = false;
        if (QtyP.GetText() == '')
            result = false;

        //if (QtyP.GetText() == 0)
            //result = false;

        return result;
    }

//    function validating_insert2() {
//        var result = true;
//        if (QtyPe.GetText() == '')
//            result = false;

//        if (QtyPe.GetText() == 0)
//            result = false;
//        return result;
//    }
    
    function ClearForm() {
        PRMonthP.SetText('');
        OriRouteP.SetText('');
        LP_OptionP.SetText('');
        QtyP.SetText('');
        popupnew.Hide();
        
    }

    function btnCancel_click(s, e) {
        ClearForm()
    }


    //Download Excel------------------------------------------------------------------------------------------
    var IsDownload = "no";

    function DownloadData(s, e) {
        

        if(PRMonth.GetText()=="")
        {
            MessageBox('Please, select production month!','warning_icon.png','Warning',290);
            disabledButton();
        }
        else
        {
            IsDownload = "yes";   
            BeginCallbackDownload(s, e);
        }

        
    }


    function BeginCallbackDownload(s, e) {
        if(PRMonth.GetText()=="")
        {
            MessageBox('Please select production month!','warning_icon.png','Warning',290);
            disabledButton();
        }
         else
         {
          $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/D31102/exportToExcel")",
                data:
                {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue()),
                    LP_CD : LogisticPartnerOption.GetText(),
                    //LP_CD : lpVal,
                    STATUS : StatusOption.GetValue(),
                    //STATUS : statVal,

                    ROUTE_CD        : GridPurchaseRequest_DXFREditorcol3.GetText(),
                    ROUTE_NM        : GridPurchaseRequest_DXFREditorcol4.GetText(),
                    LP_CD2          : GridPurchaseRequest_DXFREditorcol6.GetText(),
                    LP_NM           : GridPurchaseRequest_DXFREditorcol7.GetText(),
                    QTY             : GridPurchaseRequest_DXFREditorcol8.GetText(),
                    SOURCE          : GridPurchaseRequest_DXFREditorcol9_DDD_L.GetValue(),
                    STATUS2         : GridPurchaseRequest_DXFREditorcol10_DDD_L.GetValue(),
                    CREATED_BY      : GridPurchaseRequest_DXFREditorcol12.GetText(),
                    CREATED_DT      : convertDate2 (GridPurchaseRequest_DXFREditorcol13.GetValue()),
                    CHANGED_BY      : GridPurchaseRequest_DXFREditorcol15.GetText(),
                    CHANGED_DT      : convertDate2 (GridPurchaseRequest_DXFREditorcol16.GetValue())
              },
                success: function (result) {
                    
                    if (result.excelLink == 'Data not found!'){
                        MessageBox(result.excelLink,'info_icon.png','Information',200);
                        
                        disabledButton();
                        
                    }else
                    {
                        var link = "@Url.Content("~/")"+result.excelLink;
                        window.location = link;
                    }

                    
                },
                error: function (result) {
                    MessageBox('Error when downloading data.','error_icon.png','Error',280);
                    disabledButton();
                }
            });
         }    
    }
    //---------------------------------------------------------------------------------------------------------


    function getDataCaryOver (PR_PO_MONTH, PR_PO_MONTH_LAST){
        //var res;
        
        $('#progress').html('Retrieval on progress 1 of 3 item');

        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/getDataCaryOver")",
            data: {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue()),
                    //PR_PO_MONTH : PRMonth.GetText(),
                    PR_PO_MONTH_LAST : PR_PO_MONTH_LAST
                },
                success: function (result) {
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        getDataTLMS (PR_PO_MONTH, PR_PO_MONTH_LAST);
                    }else
                    {
                        retrieveFinish();
                        //MessageBox(resValue[1],'error_icon.png','Error');
                        //$('#progress').html(resValue[1]);
                    }     
                    
                },
                error: function (result) {
                    //$('#progress').html(resValue[1]);
                    retrieveFinish();
                }
                
        });

    }

    function getDataTLMS (PR_PO_MONTH, PR_PO_MONTH_LAST){
 
        var res;
        
        $('#progress').html('Retrieval on progress 2 of 3 item');
        
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/getDataTLMS")",
            data: {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue()),
                    //PR_PO_MONTH : PRMonth.GetText(),
                    PR_PO_MONTH_LAST : PR_PO_MONTH_LAST
                },
                success: function (result) {
                    //res = result;
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        getDataNonTLMS (PR_PO_MONTH, PR_PO_MONTH_LAST);
                    }else
                    {
                        retrieveFinish();
                        //$('#progress').html(resValue[1]);
                        deleteDataRetrieval(PR_PO_MONTH);
                    }
                    
                },
                error: function (result) {
                    //$('#progress').html(resValue[1]);
                    retrieveFinish();
                    deleteDataRetrieval(PR_PO_MONTH);
                }
        });
          

    }

    function getDataNonTLMS (PR_PO_MONTH, PR_PO_MONTH_LAST){
 
        var res;
        
        $('#progress').html('Retrieval on progress 3 of 3 item');
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/getDataNonTLMS")",
            data: {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue()),
                    //PR_PO_MONTH : PRMonth.GetText(),
                    PR_PO_MONTH_LAST : PR_PO_MONTH_LAST
                },
                success: function (result) {
                    
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        retrieveFinish();
                    }else
                    {
                        retrieveFinish();
                        //$('#progress').html(resValue[1]);
                        deleteDataRetrieval(PR_PO_MONTH);

                    }
                    
                },
                error: function (result) {
                    //$('#progress').html(resValue[1]);
                    retrieveFinish();
                    deleteDataRetrieval(PR_PO_MONTH);
                }
        });

    }

    
    function deleteDataRetrieval(PR_PO_MONTH){
 
        var res;
        
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/deleteDataRetrieval")",
            data: {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue())
                },
                success: function (result) {
                    
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        //retrieveFinish();
                    }else
                    {
                        //retrieveFinish();
                    }
                    
                },
                error: function (result) {
                    //$('#progress').html(resValue[1]);
                    //retrieveFinish();
                }
        });

    }

    function retrieveFinish(){
        enabledButton();
        $('#progress').html('Retrieval data has finished');
        $('#infRetrieve').delay(3000).hide("slow");

        SearchData();

    }

    function myTimer()
    {
        $('#progress').html('Retrieval on progress 1 of 3 item');
    }

//    function RetrievePR (s, e){
//        if (PRMonth.GetText() == "")
//        {
//            //alert("Please Select PR Month");
//            //popupInformation.Show();
//            MessageBox('Please, select production month!','warning_icon.png','Warning',290);
//            disabledButton();
//        }
//        else
//        {
//               
//               var PR_PO_MONTH = convertDate(PRMonth.GetValue());

//               //alert (PR_PO_MONTH);
//               //var PR_PO_MONTH = PRMonth.GetText();
//               var PR_PO_MONTH_LAST;
//               var years = PR_PO_MONTH.substr (0,4);
//               var months = PR_PO_MONTH.substr (4,2);


//               if (months == '12'){
//                    years = years;
//                    months = months - 1;
//                    PR_PO_MONTH_LAST = years+''+months; 
//                    //alert (PR_PO_MONTH_LAST);
//               }
//               else if (months == '01')
//               {
//                    years = years - 1;
//                    months = 12;
//                    PR_PO_MONTH_LAST = years+''+months; 
//                    //alert (PR_PO_MONTH_LAST);
//               }
//               else
//               {
//                    PR_PO_MONTH_LAST = PR_PO_MONTH - 1;
//                    //alert (PR_PO_MONTH_LAST);
//               }

//               $('#infRetrieve').show();
//               PRRetrieveButton.SetEnabled(false);

//               getDataCaryOver (PR_PO_MONTH, PR_PO_MONTH_LAST);

//               //PRRetrieveButton.SetEnabled(true);
//               

//               
//        }
//    }
    
    function myTimer()
    {
        $('#progress').html('Retrieval on progress 1 of 3 item');
    }

    function RetrievePR (s, e){
        if (PRMonth.GetText() == "")
        {
            //alert("Please Select PR Month");
            //popupInformation.Show();
            MessageBox('Please select production month!','warning_icon.png','Warning');
            disabledButton();
        }
        else
        {
               progress = 1;

               //alert(progress);
               
               //setInterval(function(){CheckProgress()},3000);
                     
               var PR_PO_MONTH = convertDate(PRMonth.GetValue());
               var PR_PO_MONTH_LAST;
               var years = PR_PO_MONTH.substr (0,4);
               var months = PR_PO_MONTH.substr (4,2);

               if (months == 12){
                    years = years - 1;
                    months = months - 1;
                    PR_PO_MONTH_LAST = years+''+months; 
                    
                    //alert (PR_PO_MONTH_LAST);
               }else
               {
                    PR_PO_MONTH_LAST = PR_PO_MONTH - 1;
                    //alert (PR_PO_MONTH_LAST);
               }

               $('#infRetrieve').show();
               //$('#progress').html('sdadafa');
               PRRetrieveButton.SetEnabled(false);
               //PRCheckButton.SetEnabled(false);

               $.ajax({
                type: "POST",
                url: "@Url.Content("~/D31102/PerformRetrievePR")",
                data: {
                        
                        PR_PO_MONTH : PR_PO_MONTH,
                        PR_PO_MONTH_LAST : PR_PO_MONTH_LAST
                    },
                    success: function (result) {
                        //
                        
                        var resValue = result.split('|');

                        //$('#infRetrieve').hide();
                        //SearchData();
                        //$('#info').show(0).delay(3000).hide(0);

                        if (resValue[0] == 'Success'){
                        //retrieveFinish();
                            SearchData();
                        }else
                        {
                            MessageBox(resValue[1],'warning_icon.png','Warning',350);
                            disabledButton();
                        }
                        PRRetrieveButton.SetEnabled(true);
                        $('#infRetrieve').hide();

                        //setTimeout(function() {CheckProgress()},1000);
                    },
                    error: function (result) {
                            var resValue = result.split('|');
                            MessageBox(resValue[1],'warning_icon.png','Warning',210);
                            disabledButton();
                        //
                        //alert(result);
                        PRRetrieveButton.SetEnabled(true);
                        //PRCheckButton.SetEnabled(true);
                        $('#infRetrieve').hide();
                        SearchData();
                        //MessageBox(result,'info_icon.png','Information');

                        
                    }
                });
               
        }
    }

    function CheckProgress(){
        
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/CheckProgress")",
            data: {},
                success: function (result) {
                    //
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        $('#progress').html(resValue[1]);
                    }else
                    {
                        $('#progress').html(resValue[1]);
                    }
                    
                },
                error: function (result) {
                    var resValue = result.split('|');
                    $('#progress').html(resValue[1]);
                }
        });

    }

    function CreatePR(s,e){
        
        var PR_PO_MONTH = PRMonth.GetText();

        var selectCount = GridPurchaseRequest.GetSelectedRowCount();
        //var gridId = GridPurchaseRequest.GetRowKey(e.visibleIndex).toString().split('|');
        //for(var i=0; i<selectCount; i++){
            //var test = i+","+GridPurchaseRequest.GetRowKey(i).toString().split('|')+";";
            //var test = GridPurchaseRequest.GetSelectedKeysOnPage().toString().split('|');
            
        //}
        //GridPurchaseRequest.GetSelectedKeysOnPage().toString().split('|')
        var valGrid = JSON.stringify(GridPurchaseRequest.GetSelectedKeysOnPage());
        valGrid = valGrid.replace('["','');
        valGrid = valGrid.replace('"]',';');
        valGrid = valGrid.replace(/","/g,';');

        
        //console.log(valGrid);
        //alert (test);

        disabledButton ();
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/D31102/CreatePR")",
            data: {
                    PR_PO_MONTH : convertDate(PRMonth.GetValue()),
                    NOTES:'',
                    //NOTES:Notes.GetValue(),
                    GridId : valGrid
                    //PR_PO_MONTH : PRMonth.GetText()
                },
                success: function (result) {
                    //
                    var resValue = result.split('|');
                    if (resValue[0] == 'Success'){
                        MessageBox(resValue[1],'info_icon.png','Information',320);
                        PRCreateButton.SetEnabled(true);
                        enabledButton ();
                        Notes.SetValue('');
                        SearchData();
                        GridPurchaseRequest.UnselectAllRowsOnPage();
                    }else
                    {
                        MessageBox(resValue[1],'warning_icon.png','Warning',210);
                        PRCreateButton.SetEnabled(true);
                        enabledButton ();
                        Notes.SetValue('');
                        SearchData();
                        GridPurchaseRequest.UnselectAllRowsOnPage();
                    }

                    //alert(result);
                    
                },
                error: function (result) {
                    //
                    //alert(result);
                    MessageBox(resValue[1],'warning_icon.png','Warning',210);
                    PRCreateButton.SetEnabled(true);
                    enabledButton ();
                    Notes.SetValue('');
                    SearchData();
                    GridPurchaseRequest.UnselectAllRowsOnPage();

                }
        });
        
    }


    function PopUpCreatePR (s,e){
//        if (PRMonth.GetText()==""){
//            //alert ("Please Select PR Month");
//            //popupInformation.Show();
//            //MessageBox('Please, select production month!','warning_icon.png','Warning',290);

//            disabledButton();
//        }
        var selectedCount = GridPurchaseRequest.GetSelectedRowCount();

        if (selectedCount==0) {
            MessageBox('Please at least select one records to create PR!','warning_icon.png','Warning',280);
            disabledButton();
        } 
        else
        {
            CreatePR(s,e);
            //popupCreatePR.Show(s,e);
            //disabledButton();
        }
    }   

    function OnBeginCallbackGrid(s, e) {
       
       if (PRMonth.GetValue()!=""){
            PRmonthVal = convertDate(PRMonth.GetValue());
       }else{
            PRmonthVal = "";
       }

        e.customArgs["PRMonth"] = PRmonthVal;
        e.customArgs["LogisticPartnerOption"] = LogisticPartnerOption.GetText();
        e.customArgs["StatusOption"] = StatusOption.GetValue();

        disabledButton();
    }

    function OnEndCallbackGrid(s, e) {
        enabledButton();
    }
    

    function ClearGrid(){
        
        LogisticPartnerOption.SetText("");
        PRMonth.SetText("");
        StatusOption.SetText("");
        ClearForm();
        GridPurchaseRequest.UnselectRows();
        OrderSelectionLabel.SetValue("");
        GridPurchaseRequest.ClearFilter();

        GridLogisticPartnerOption.UnselectAllRowsOnPage();

        GridPurchaseRequest.UnselectFilteredRows();

        clearSelection();
    }    

   
    function GridPurchaseRequest_SelectionChange(s, e) {
          
//          var GridId = OrderSelectionLabel.GetValue();
//          var pageIndex = GridPurchaseRequest.pageIndex;
//          var pageCount = GridPurchaseRequest.pageCount;
//          var existingList = [];

//          for (var i=0; i<pageCount; i++){
//            gridVal += GridPurchaseRequest.GetSelectedKeysOnPage(i);
//            existingList[i] = (GridPurchaseRequest.GetSelectedKeysOnPage(pageIndex))[i];
//            //console.log (existingList[i]);
//            alert(existingList[i]);
//          }
          var GridId = OrderSelectionLabel.GetValue();
          var selectCount = GridPurchaseRequest.GetSelectedRowCount();

          var test = GridPurchaseRequest.pageCount * GridPurchaseRequest.pageRowSize;
          //alert(test);
            
          var valGrid = JSON.stringify(GridPurchaseRequest.GetSelectedKeysOnPage());
          valGrid = valGrid.replace('["','');
          valGrid = valGrid.replace('"]',';');
          valGrid = valGrid.replace(/","/g,';');
          OrderSelectionLabel.SetValue(valGrid);
//        var GridId = OrderSelectionLabel.GetValue();
//        var existingList = [];
//        var newList = [];
//        var i = 0;
//        var j = 0;
//        var k = 0;
//        var isExist = false;

//        
//            if (GridId != '') {
//                existingList = GridId.split(';');
//                newList = existingList;
//                k = newList.length;

//                for (i=0;i<(GridPurchaseRequest.GetSelectedKeysOnPage()).length;i++) {
//                    //existingList[i] = GridPurchaseRequest.GetSelectedKeysOnPage()[i];
//                    for (j=0;j<existingList.length;j++) {
//                        if ((GridPurchaseRequest.GetSelectedKeysOnPage())[i] == existingList[j]) {
//                            isExist = true;
//                        }
//                    }

//                    if (!isExist) {
//                        newList[k] = GridPurchaseRequest.GetSelectedKeysOnPage()[i];
//                        k = k + 1;
//                    }

//                    isExist = false;

//                }

//                existingList = newList;
//            } else {
//                existingList = GridPurchaseRequest.GetSelectedKeysOnPage();   
//            }
//            
//            OrderSelectionLabel.SetValue('');
//            for(i=0;i<existingList.length;i++) {
//                if (OrderSelectionLabel.GetValue() == '')
//                    OrderSelectionLabel.SetValue(existingList[i]);
//                else
//                    OrderSelectionLabel.SetValue(OrderSelectionLabel.GetValue() + ';' + existingList[i]);
//            }

    }

    function SelectAllColumn(s,e)
    {
        var pageCount = GridPurchaseRequest.GetPageCount();
        var a = GridPurchaseRequest.pageRowCount;
        //GridPurchaseRequest.SelectRowOnPage(i);
        //GridPurchaseRequest.SelectRow(1);
        //GridPurchaseRequest.SelectRows(3);
    }

    function clearSelection(){        
        GridOriRouteP.UnselectAllRowsOnPage();
        GridLP_OptionP.UnselectAllRowsOnPage();

        //GridOriRoutePe.UnselectAllRowsOnPage();
        //GridLP_OptionPe.UnselectAllRowsOnPage();
    }

    function enabledButton() {
        PRSearchButton.SetEnabled(true);
        PRClearButton.SetEnabled(true);
        btnDownload.SetEnabled(true);
        PRCreateButton.SetEnabled(true);
        PRRetrieveButton.SetEnabled(true);


        PRAddButton.SetEnabled(true);
        PRDeleteButton.SetEnabled(true);
        PREditButton.SetEnabled(true);

    }

    function disabledButton (){
        PRSearchButton.SetEnabled(false);
        PRClearButton.SetEnabled(false);
        btnDownload.SetEnabled(false);
        PRCreateButton.SetEnabled(false);
        PRRetrieveButton.SetEnabled(false);

        PRAddButton.SetEnabled(false);
        PRDeleteButton.SetEnabled(false);
        PREditButton.SetEnabled(false);
    }

</script>
<div style="display: table; border: 1px solid #002D96; background-color: #DEECFD;
    padding: 10px; width: 640px; margin-right: 10px;">
    @Html.Action("PartialHeader", "D31102")
</div>
<div style="height: 10px;">
</div>
@* div spacing *@ @* style="width:1340px"*@
<div style="display: table; border: 1px solid #002D96; background-color: #DEECFD;
    padding: 10px; width: 1310px; margin-right: 10px;">
    <table style="float: right;">
        <tr>
            <td style="display: inline-block; margin-bottom: 10px; padding-left: 5px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "PRAddButton";
                        settings.Text = "Add";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "AddDeliveryPurchaseRequest";


                    }
                ).GetHtml()
            </td>
            <td style="display: inline-block; float: right; padding-left: 5px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "PRDeleteButton";
                        settings.Text = "Delete";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "btnDelete_Click";
                    }
                ).GetHtml()
            </td>
            <td style="display: inline-block; float: right; padding-left: 5px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "PREditButton";
                        settings.Text = "Edit";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "btnEdit_Click";
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
    @Html.Action("PartialListData", "D31102")
</div>
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "OrderSelectionLabel";
        label.ClientVisible = false;

    }).GetHtml()
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "OrderPartSelectionAllLabel";
        label.ClientVisible = false;

    }).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupnew";
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(23);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.ShowCloseButton = false;
    settings.Top = 80;
    settings.Left = 500;
    settings.CloseAction = CloseAction.CloseButton;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    //settings.DragElement = DragElement.Window;
    //settings.ShowHeader = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupAdd");
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupedit";
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(23);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.ShowCloseButton = false;
    settings.Top = 100;
    settings.Left = 500;
    settings.CloseAction = CloseAction.CloseButton;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    //settings.DragElement = DragElement.Window;
    //settings.ShowHeader = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupEdit");
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupConfirmation";
    settings.HeaderText = "Confirmation";
    settings.Modal = true;
    settings.ShowCloseButton = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(330);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(40);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupConfirmation", null);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupCreatePR";
    settings.HeaderText = "Purchase requistion notes";
    settings.Modal = true;
    settings.ShowCloseButton = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(400);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(50);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupCreationNotes", null);
    });
}).GetHtml()
@*MESSAGE BOX*@
@Html.Action("MessageBox", "D31102")
